Rated 3 out of 5 stars

I know it's too early to expect this, but it's not (yet) compatible with FF v3.1

This review is for a previous version of the add-on (1.0).